
.fastcatalogue-control {
    display: flex;
    flex-flow: row nowrap;
    justify-content: flex-start;
    min-width: 0;
    /* max-width: calc(100% - 28px); */
    z-index: 1001;
    padding: 4px;
    margin-right: 10px;
    margin-bottom: 20px !important;
}

.fastcatalogue-control > .fastcatalogue-control-satellite-image-container {
    flex: 1 0 26px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.fastcatalogue-control > .fastcatalogue-control-satellite-image-container > .fastcatalogue-control-satellite-image {
    height: 26px;
}

.fastcatalogue-control > .fastcatalogue-control-interior {
    min-width: 0;
    display: inline-block;
    width: fit-content;
    /* min-width: 0;
    flex: 1 1 auto;
    display: inline-flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: flex-start;
    align-items: center; */

    /*flex-shrink: 1;
    align-items: center;*/
}

.fastcatalogue-control > .fastcatalogue-control-interior {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    /* margin: 4px 0; */
    padding-right: 4px;
}

.fastcatalogue-control > .fastcatalogue-control-interior > .fastcatalogue-control-select-date {
    display: block;
    margin: 0 0 0 5px;
    max-width: 140px;
    text-overflow: ellipsis;
    height: 26px;
    padding: 0px !important;
}

.fastcatalogue-control > .fastcatalogue-control-interior > .fastcatalogue-control-radio-inputs {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: flex-start;
    align-items: center;
    margin: 0 0 0 5px;
}

.fastcatalogue-control > .fastcatalogue-control-interior .fastcatalogue-control-radio-input-container {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: flex-start;
  align-items: center;
}

.fastcatalogue-control > .fastcatalogue-control-interior > .fastcatalogue-control-radio-inputs .fastcatalogue-control-radio-input {
    display: block;
    margin: 0 0 0 4px;
}

.fastcatalogue-control > .fastcatalogue-control-interior > .fastcatalogue-control-radio-inputs .fastcatalogue-control-radio-label {
    display: block;
    width: auto !important;
    margin: 0 0 0 4px;
}

.fastcatalogue-control > .fastcatalogue-control-interior > .fastcatalogue-control-radio-inputs .fastcatalogue-control-loading-icon {
    display: inline-block;
    margin: 4px;
    width: 16px;
    height: 16px;
}

.fastcatalogue-control > .fastcatalogue-control-interior > .fastcatalogue-control-radio-inputs .fastcatalogue-control-ndvi-legend-button {
    display: inline-block;
    margin: 4px 0 4px 8px;
    width: 18px;
    height: 18px;
    border: 1px solid rgba(0, 0, 0, 0.2);
}

.fastcatalogue-control > .fastcatalogue-control-ndvi-legend {
    position: absolute;
    left: -2px;
    top: -50px;
    width: 224px;
    padding: 3px 5px;
    background-color: #EEE
}

.fastcatalogue-control > .fastcatalogue-control-ndvi-legend > .fastcatalogue-control-ndvi-legend-text {
    display: inline-block;
    font-size: 10px;
}

.fastcatalogue-control > .fastcatalogue-control-copernicus-logo {
    position: absolute;
    left: -2px;
    top: -40px;
    height: 30px;
}

.fastcatalogue-control > .fastcatalogue-control-cloud-warning {
    position: absolute;
    right: 0;
    top: -28px;
    width: auto;
    height: 24px;
    color: white;
    padding: 2px 4px;
}

.leaflet-layer.fastplatform-layer-img img {
    image-rendering: pixelated !important;
    image-rendering: crisp-edges !important;
}

.fastplatform-layer-img-ndvi img {
    filter: url(#ndvi);
}

.fastplatform-layer-img-ndvi-legend {
    filter: url(#ndvi);
}
